Mailrelay API Reference

Lists SMS campaigns

GET /sms/campaigns

Lists SMS campaigns.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 100.

The response will include two HTTP headers:

Header Description
Total The total number of pages based on your parameters. You can use this option to know when you've reached the end of the pagination.
Per-Page The number of records returned per page.

Parameters

NameTypeDescription
page integer Page number
per_page integer Number of records per page
q[id_eq] integer Search: Id equals
q[id_gteq] integer Search: Id greater than or equal to
q[id_lteq] integer Search: Id less than or equal to
q[name_eq] string Search: Name equals
q[name_cont] string Search: Name contains
q[sender_name_eq] string Search: Sender name equals
q[sender_name_cont] string Search: Sender name contains
q[message_eq] string Search: Message equals
q[message_cont] string Search: Message contains
q[created_at_eq] string Search: Created at equals
q[created_at_gteq] string Search: Created at greater than or equal to
q[created_at_lteq] string Search: Created at less than or equal to
q[s] string Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "id desc"

Responses

StatusDescription
200 Success
401 The API key wasn't sent or is invalid
500 An internal error happened. Try again later.